<script setup>
defineProps({
  image: { type: String, required: true, default: '' },
});
</script>
<template>
  <div class="card-with-image fr-card anct-text-center">
    <div class="fr-card__img anct-bg-blue">
      <img :src="image" alt="" />
    </div>
    <div class="fr-card__body fr-p-8v">
      <div class="card__heading">
        <h4 class="fr-card__title">
          <slot name="title" />
        </h4>
        <p>
          <slot name="subTitle" />
        </p>
      </div>
      <p class="fr-card__desc fr-mt-0">
        <slot name="text" />
      </p>
    </div>
  </div>
</template>

<style lang="scss">
.card-with-image {
  display: grid;
  grid-template-columns: 215px 1fr;

  &::before {
    display: none;
  }
  .fr-card__img {
    display: grid;
    place-content: center;
    border-right: 3px solid #274185;
  }
}

@media only screen and (max-width: 999px) {
  .card-with-image {
    grid-template-columns: initial;
    .fr-card__img {
      display: none;
    }
  }
}
</style>
